
local do_observers = defense_mob_api.library.set_up_observers("register_on_remove")


function defense_mob_api.library.remove(self)
	do_observers(self)
	
	self.removed = true
	self.object:remove()
end

